/* FILE: mmsolve.h                 -*-Mode: c++-*-
 *
 * Standard macro definitions.
 *
 */

#ifndef MMSOLVE_H
#define MMSOLVE_H

#include "nb.h"  // For TCLCMD

/*
 * These version numbers follow the Tcl version number convention.
 *
 * Goal is to have CVS handle updating of these values.
 * For now, edit them by hand.
 */
 
#define MMSOLVE_MAJOR_VERSION   1
#define MMSOLVE_MINOR_VERSION   0
#define MMSOLVE_RELEASE_LEVEL   1
#define MMSOLVE_RELEASE_SERIAL  0

// Possibly change this to a string of the full numeric version + patchlevel,
// so that the call to 'package provide' tells the whole story.
//
// Also try constructing these values out of those above to reduce 
// maintenance.
#define MMSOLVE_VERSION "1.0"
#define MMSOLVE_PATCH_LEVEL "1.0.1.0"

/* End includes */


TCLCMD Mms_MifCmd;
TCLCMD Mms_Grid2DCmd;
int Mmsolve_Init _ANSI_ARGS_((Tcl_Interp *interp));
int Mmsolve_SafeInit _ANSI_ARGS_((Tcl_Interp *interp));

#endif // MMSOLVE_H
